Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002948Piwigoauthenticationpublic2013.08.12 09:442013.10.25 21:39
Reporterflop25 
Assigned Toflop25 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.2 
Target Version2.5.3Fixed in Version2.6.0beta2 
Summary0002948: The registration can be done without typing a password
Descriptionthe password is mandatory but in fact, everyone can register without a password
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007182)
plg (manager)
2013.10.23 18:40

I remember (in the old times) that it was a feature, not a bug. I would prefer that we keep this for later (2.6 or 2.7)
(0007183)
flop25 (developer)
2013.10.23 18:42

this is a feature for plugins and administrator, but for sure that's not a feature for the public register page!
(0007184)
flop25 (developer)
2013.10.23 18:43

my patch is just for the public register page not the function register_user
(0007185)
plg (manager)
2013.10.23 18:46

Fine then, we keep 2.5.3 as target version.
(0007196)
svn (reporter)
2013.10.24 19:55

[Subversion] r25121 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2948 The registration can be done without typing a password

The password is only mandatory on the public register page
Better error messages from admin/user_list.php
(0007202)
svn (reporter)
2013.10.25 21:34

[Subversion] r25149 by flop25 on branch 2.5

-----[Subversion commit log]----------------------------------------------------
bug:2948 The registration can be done without typing a password
hotfix for 2.5.3

- Issue History
Date Modified Username Field Change
2013.08.12 09:44 flop25 New Issue
2013.08.12 09:44 flop25 browser => any
2013.08.12 09:44 flop25 Web server => Apache 1.3.x
2013.10.23 14:19 flop25 Status new => assigned
2013.10.23 14:19 flop25 Assigned To => flop25
2013.10.23 18:40 plg Note Added: 0007182
2013.10.23 18:42 flop25 Note Added: 0007183
2013.10.23 18:43 flop25 Note Added: 0007184
2013.10.23 18:46 plg Note Added: 0007185
2013.10.24 19:55 svn Checkin
2013.10.24 19:55 svn Note Added: 0007196
2013.10.25 21:34 svn Checkin
2013.10.25 21:34 svn Note Added: 0007202
2013.10.25 21:39 flop25 Status assigned => closed
2013.10.25 21:39 flop25 Resolution open => fixed
2013.10.25 21:39 flop25 Fixed in Version => 2.6.0beta2


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker